.min-width-115 {
	min-width: 115px;
}

.min-width-230 {
	min-width: 230px;
}

.max-width-320 {
	max-width: 320px !important;
}

.valign-unset {
	vertical-align: unset;
}

.lh-2 {
	line-height: 2rem;
}

.lh-3 {
	line-height: 3rem;
}

@keyframes notification-animation {
	0% {
		top: -50%;
	}
	20% {
		top: 5em;
	}
	80% {
		top: 5em;
	}
	100% {
		top: -50%;
	}
}

.appear-from-top {
	overflow: hidden;
	margin: auto;
	position: absolute;
	top: -50%;
	left: 0;
	right: 0;

	width: 50%; /* Fallback */
	width: -moz-fit-content;
	width: -webkit-fit-content;
	width: fit-content;
	min-width: 250px;
	max-width: 75%;

	height: 50%; /* Fallback */
	height: -moz-fit-content;
	height: -webkit-fit-content;
	height: fit-content;

	z-index: 50;
	animation: 3s ease-in-out 0.5s 1 normal none notification-animation;
}

.shake {
	animation: 0.3s linear 0s 1 normal none shake;
}

@keyframes shake {
	0% {
		transform: translate(1px, 1px) rotate(0deg);
	}
	10% {
		transform: translate(-1px, -2px) rotate(-1deg);
	}
	20% {
		transform: translate(-3px, 0px) rotate(1deg);
	}
	30% {
		transform: translate(3px, 2px) rotate(0deg);
	}
	40% {
		transform: translate(1px, -1px) rotate(1deg);
	}
	50% {
		transform: translate(-1px, 2px) rotate(-1deg);
	}
	60% {
		transform: translate(-3px, 1px) rotate(0deg);
	}
	70% {
		transform: translate(3px, 1px) rotate(-1deg);
	}
	80% {
		transform: translate(-1px, -1px) rotate(1deg);
	}
	90% {
		transform: translate(1px, 2px) rotate(0deg);
	}
	100% {
		transform: translate(1px, -2px) rotate(-1deg);
	}
}
